#   Copyright: Australian Bureau of Meteorology [2011]
#   Authors:
#       [Tennessee Leeuwenburg <t.leeuwenburg@bom.gov.au>]
#       [Edward Schofield <ed@pythoncharmers.com>]

import os

# DATABASE CONFIGURATION
DEFAULT_DATABASE_DIRECTORY = '/tmp/bench_db/'

# BENCHMARKER CONFIGURATION
DEFAULT_STATS_LOCATION = '/tmp/benchstats/'

# default_project_information = {
#     'project': 'Benchmarker.py', # A high-level name for the project
#     'executable': 'All unit tests', # Describe what got executed
#     'benchmark': 'Benchmaker core tests', # Describe what the system was doing
#     'environment': "My development environment", # Describe the execution
#                                                  # environment
# }

# MERCURIAL RIG CONFIGURATION

# Enter a default repository if you would like to try out using bench_mercurial
DEFAULT_REPOSITORY_HOME = '/tmp/default_repo/'
DEFAULT_REPOSITORY_LOCATION = DEFAULT_REPOSITORY_HOME + 'benchmarker.py/'
DEFAULT_BENCH_SPACE = '/tmp/build_space/'


# CODESPEED CONFIGURATION

# The base directory of the pstats output hierarchy contains a configuration
# file with project metadata that will be passed to a codespeed server. By
# default this it has this filename:
DEFAULT_METADATA_FILENAME = 'codespeed.config'

# The default URL (including optional port) of a running codespeed server to
# submit data to. This will be overridden by a codespeed_url setting in the
# metadata file.
DEFAULT_CODESPEED_URL = 'http://localhost:8000/' 


def make_directories():
    '''
    Execute this file to create a standard configuration layout on disk
    '''
    
    directories = [
        DEFAULT_REPOSITORY_HOME,
        DEFAULT_BENCH_SPACE,
        DEFAULT_STATS_LOCATION
    ]
    
    for dir in directories:
        if not os.path.exists(dir):
            os.makedirs(dir)
